#
# spec file for package python-dfdatetime
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define timestamp 20180110
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dfdatetime
Version:        0~%{timestamp}
Release:        2.1
Summary:        Digital Forensics Date and Time (dfDateTime)
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/log2timeline/dfdatetime
Source:         https://github.com/log2timeline/dfdatetime/releases/download/%{timestamp}/dfdatetime-%{timestamp}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
dfDateTime, or Digital Forensics date and time, provides date and time objects to preserve accuracy and precision.

%prep
%setup -q -n dfdatetime-%{timestamp}

%build
%python_build

%install
%python_install
# these doc files are installed to the wrong place
rm -rf %{buildroot}/usr/share/doc/dfdatetime
%fdupes %{buildroot}/%{_prefix}

%files %{python_files}
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS AUTHORS README LICENSE
%{python_sitelib}/dfdatetime*

%changelog
* Thu Jan 11 2018 Greg.Freemyer@gmail.com
- update to v0~20180110
  * deprecated a functions
  * added new functions
* Tue Oct  3 2017 Greg.Freemyer@gmail.com
- update to v0~20170719
  * various improvements including
  new format support
  added sanity checks
- implement python singlespec syntax
- remove the lines that delete *.pyc and *.pyo files,
  they no longer cause problems
* Sat Jul 30 2016 jengelh@inai.de
- Use python macros for filelists.
  Use hardlinks for fdupes, it's cheaper.
* Thu Jul 28 2016 Greg.Freemyer@gmail.com
- initial package v0~20160323
